<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vr="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iWlz 2.3 AW317 (2021-10-15) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="condities/CD005.xsl" />
	<xsl:include href="condities/CD007.xsl" />
	<xsl:include href="condities/CD025.xsl" />
	<xsl:include href="condities/CD036.xsl" />
	<xsl:include href="condities/CD040.xsl" />
	<xsl:include href="condities/CD052.xsl" />
	<xsl:include href="condities/CD072.xsl" />
	<xsl:include href="condities/CD090.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS003.xsl" />
	<xsl:include href="constraints/CS050.xsl" />
	<xsl:include href="constraints/CS072.xsl" />
	<xsl:include href="constraints/CS074.xsl" />
	<xsl:include href="constraints/CS089.xsl" />
	<xsl:include href="constraints/CS092.xsl" />
	<xsl:include href="constraints/CS093.xsl" />
	<xsl:include href="constraints/CS118.xsl" />
	<xsl:include href="constraints/CS131.xsl" />
	<xsl:include href="constraints/CS132.xsl" />
	<xsl:include href="constraints/CS138.xsl" />
	<xsl:include href="constraints/CS141.xsl" />
	<xsl:include href="rules/TR079.xsl" />
	<xsl:include href="rules/TR101.xsl" />
	<xsl:include href="rules/TR132.xsl" />
	<xsl:include href="rules/TR134.xsl" />
	<xsl:include href="rules/TR137.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CD005"/>
		<xsl:apply-templates select="." mode="CD007"/>
		<xsl:apply-templates select="." mode="CD025"/>
		<xsl:apply-templates select="." mode="CD036"/>
		<xsl:apply-templates select="." mode="CD040"/>
		<xsl:apply-templates select="." mode="CD052"/>
		<xsl:apply-templates select="." mode="CD072"/>
		<xsl:apply-templates select="." mode="CD090"/>
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS003"/>
		<xsl:apply-templates select="." mode="CS050"/>
		<xsl:apply-templates select="." mode="CS072"/>
		<xsl:apply-templates select="." mode="CS074"/>
		<xsl:apply-templates select="." mode="CS089"/>
		<xsl:apply-templates select="." mode="CS092"/>
		<xsl:apply-templates select="." mode="CS093"/>
		<xsl:apply-templates select="." mode="CS118"/>
		<xsl:apply-templates select="." mode="CS131"/>
		<xsl:apply-templates select="." mode="CS132"/>
		<xsl:apply-templates select="." mode="CS138"/>
		<xsl:apply-templates select="." mode="CS141"/>
		<xsl:apply-templates select="." mode="TR079"/>
		<xsl:apply-templates select="." mode="TR101"/>
		<xsl:apply-templates select="." mode="TR132"/>
		<xsl:apply-templates select="." mode="TR134"/>
		<xsl:apply-templates select="." mode="TR137"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<vr:XSLTHeader>
			<vr:Standaard>iwlz</vr:Standaard>
			<vr:StandaardRelease>2.3</vr:StandaardRelease>
			<vr:XSLTVersie>2.4.5</vr:XSLTVersie>
		</vr:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
