<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vr="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iWlz 2.3 IO31 (2021-10-15) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="condities/CD005.xsl" />
	<xsl:include href="condities/CD007.xsl" />
	<xsl:include href="condities/CD009.xsl" />
	<xsl:include href="condities/CD016.xsl" />
	<xsl:include href="condities/CD017.xsl" />
	<xsl:include href="condities/CD022.xsl" />
	<xsl:include href="condities/CD025.xsl" />
	<xsl:include href="condities/CD034.xsl" />
	<xsl:include href="condities/CD070.xsl" />
	<xsl:include href="condities/CD092.xsl" />
	<xsl:include href="condities/CD093.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS003.xsl" />
	<xsl:include href="constraints/CS012.xsl" />
	<xsl:include href="constraints/CS014.xsl" />
	<xsl:include href="constraints/CS035.xsl" />
	<xsl:include href="constraints/CS050.xsl" />
	<xsl:include href="constraints/CS069.xsl" />
	<xsl:include href="constraints/CS074.xsl" />
	<xsl:include href="constraints/CS089.xsl" />
	<xsl:include href="constraints/CS092.xsl" />
	<xsl:include href="constraints/CS107.xsl" />
	<xsl:include href="constraints/CS113.xsl" />
	<xsl:include href="constraints/CS123.xsl" />
	<xsl:include href="constraints/CS135.xsl" />
	<xsl:include href="constraints/CS139.xsl" />
	<xsl:include href="rules/TR002.xsl" />
	<xsl:include href="rules/TR004.xsl" />
	<xsl:include href="rules/TR005.xsl" />
	<xsl:include href="rules/TR006.xsl" />
	<xsl:include href="rules/TR014.xsl" />
	<xsl:include href="rules/TR015.xsl" />
	<xsl:include href="rules/TR035.xsl" />
	<xsl:include href="rules/TR057.xsl" />
	<xsl:include href="rules/TR061.xsl" />
	<xsl:include href="rules/TR101.xsl" />
	<xsl:include href="rules/TR132.xsl" />
	<xsl:include href="rules/TR134.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CD005"/>
		<xsl:apply-templates select="." mode="CD007"/>
		<xsl:apply-templates select="." mode="CD009"/>
		<xsl:apply-templates select="." mode="CD016"/>
		<xsl:apply-templates select="." mode="CD017"/>
		<xsl:apply-templates select="." mode="CD022"/>
		<xsl:apply-templates select="." mode="CD025"/>
		<xsl:apply-templates select="." mode="CD034"/>
		<xsl:apply-templates select="." mode="CD070"/>
		<xsl:apply-templates select="." mode="CD092"/>
		<xsl:apply-templates select="." mode="CD093"/>
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS003"/>
		<xsl:apply-templates select="." mode="CS012"/>
		<xsl:apply-templates select="." mode="CS014"/>
		<xsl:apply-templates select="." mode="CS035"/>
		<xsl:apply-templates select="." mode="CS050"/>
		<xsl:apply-templates select="." mode="CS069"/>
		<xsl:apply-templates select="." mode="CS074"/>
		<xsl:apply-templates select="." mode="CS089"/>
		<xsl:apply-templates select="." mode="CS092"/>
		<xsl:apply-templates select="." mode="CS107"/>
		<xsl:apply-templates select="." mode="CS113"/>
		<xsl:apply-templates select="." mode="CS123"/>
		<xsl:apply-templates select="." mode="CS135"/>
		<xsl:apply-templates select="." mode="CS139"/>
		<xsl:apply-templates select="." mode="TR002"/>
		<xsl:apply-templates select="." mode="TR004"/>
		<xsl:apply-templates select="." mode="TR005"/>
		<xsl:apply-templates select="." mode="TR006"/>
		<xsl:apply-templates select="." mode="TR014"/>
		<xsl:apply-templates select="." mode="TR015"/>
		<xsl:apply-templates select="." mode="TR035"/>
		<xsl:apply-templates select="." mode="TR057"/>
		<xsl:apply-templates select="." mode="TR061"/>
		<xsl:apply-templates select="." mode="TR101"/>
		<xsl:apply-templates select="." mode="TR132"/>
		<xsl:apply-templates select="." mode="TR134"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<vr:XSLTHeader>
			<vr:Standaard>iwlz</vr:Standaard>
			<vr:StandaardRelease>2.3</vr:StandaardRelease>
			<vr:XSLTVersie>2.4.5</vr:XSLTVersie>
		</vr:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
