<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwlz="http://www.istandaarden.nl/iwlz/2_3/basisschema/schema"
                xmlns:aw33="http://www.istandaarden.nl/iwlz/2_3/aw33/schema"
                xmlns:aw35="http://www.istandaarden.nl/iwlz/2_3/aw35/schema"
                xmlns:aw39="http://www.istandaarden.nl/iwlz/2_3/aw39/schema"
                xmlns:aw317="http://www.istandaarden.nl/iwlz/2_3/aw317/schema"
                xmlns:ca317="http://www.istandaarden.nl/iwlz/2_3/ca317/schema"
                xmlns:ca319="http://www.istandaarden.nl/iwlz/2_3/ca319/schema"
                xmlns:io31="http://www.istandaarden.nl/iwlz/2_3/io31/schema"
                xmlns:zk31="http://www.istandaarden.nl/iwlz/2_3/zk31/schema"
                xmlns:zk33="http://www.istandaarden.nl/iwlz/2_3/zk33/schema"
                xmlns:zk35="http://www.istandaarden.nl/iwlz/2_3/zk35/schema"
                xmlns:zk39="http://www.istandaarden.nl/iwlz/2_3/zk39/schema"
>

    <!-- iWlz 2.3 TR134 version 2.4.5 (2021-10-15) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR134"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR134"/>
    </xsl:template>

    <!-- Generic match for all "namespace:Geboortedatum" -->
    <xsl:template match="iwlz:Datum" mode="TR134">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/iwlz:Dagtekening"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR134
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <!-- Generic match for Indicatie/Afgiftedatum -->
    <xsl:template match="*[local-name() = 'Indicatie']/*[local-name() = 'Afgiftedatum']" mode="TR134">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/iwlz:Dagtekening"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR134
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <!-- Generic match for ToegewezenFunctie/Toewijzingsdatum or ToegewezenZorgzwaartepakket/Toewijzingsdatum -->
    <xsl:template
            match="*[local-name() = 'ToegewezenFunctie' or local-name() = 'ToegewezenZorgzwaartepakket']/*[local-name() = 'Toewijzingsdatum']" mode="TR134">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/iwlz:Dagtekening"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR134
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
    <!-- Generic match for GeleverdeFunctie/Begindatum or GeleverdZorgzwaartepakket/Begindatum -->
    <xsl:template
            match="*[local-name() = 'GeleverdeFunctie' or local-name() = 'GeleverdZorgzwaartepakket']/*[local-name() = 'Begindatum']" mode="TR134">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/iwlz:Dagtekening"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR134
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <!-- Generic match for MutatieZorgzwaartepakket/Mutatiedatum or MutatieFunctie/Mutatiedatum or MutatieZorg/Mutatiedatum -->
    <xsl:template match="*[local-name()='Mutatiedatum']" mode="TR134">
    	<xsl:if test="local-name(..) != 'WachtlijstZorgzwaartepakket'">
	        <xsl:call-template name="checkafter">
	            <xsl:with-param name="pThis"
	                            select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/iwlz:Dagtekening"/>
	            <xsl:with-param name="pOther" select="."/>
	            <xsl:with-param name="pRule">
	                TR134
	            </xsl:with-param>
	        </xsl:call-template>
    	</xsl:if>
    </xsl:template>

    <!-- Generic match for Indicatie/Afgiftedatum -->
    <xsl:template match="*[local-name() = 'MutatieZorg' or local-name() = 'GeleverdeZorg']/*[local-name() = 'Startdatum']" mode="TR134">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/iwlz:Dagtekening"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR134
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <!-- Generic match for all "aw317:Periode/iwlz:Begindatum" -->
    <xsl:template match="aw317:Periode" mode="TR134">
        <!-- Node only exists in AW317, this check prevents calling the template incase there is no "Periode" in the header -->
        <xsl:if test="normalize-space(iwlz:Begindatum) != ''">
            <xsl:call-template name="checkafter">
                <xsl:with-param name="pThis"
                                select="ancestor-or-self::aw317:Header/aw317:BerichtIdentificatie/iwlz:Dagtekening"/>
                <xsl:with-param name="pOther"
                                select="iwlz:Begindatum"/>
                <xsl:with-param name="pRule">
                    TR134
                </xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>
